TYPOS.Flow - Bug # 38442

Status: Resolved Priority: Must have
Author: Peter Beernink Category: Core

Created: 2012-06-27 Assigned To: Christian Mdiller
Updated: 2012-06-28 Due date:

PHP Version:

Has patch: No

Complexity:

Affected Flow version: FLOW3 1.1.0rc 1

Subject: Fatal error when performing a core:migrate

Description

When performing a core migrate using 1.1rc1 a fatal error is given:

PHP Fatal error: Class 'TYPO3\FLOWS3\Core\Migrations\Version201206271128' not found in

A /Packages/Framework/TYPO3.FLOW3/Scripts/Migrations/Manager.php on line 179

It turns out that Packages/Framework/TYPO3.FLOW3/Migrations/Code/Version201206271128.php contains a different classname.
Changing the classname solves the issue and migration will succeed.

Associated revisions

Revision e175¢522 - 2012-06-28 08:28 - Adrian Foder

[BUGFIX] Correct a code migration's class name

A code migration class name didn't match its file name,
this patch corrects this.

Change-Id: 153aae7c64f4588cb429208b084c2f3f396f5dd1d

Releases: 1.1
Fixes: #38442

History

#1 - 2012-06-28 08:31 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.

It is available at http://review.typo3.org/12418

#2 - 2012-06-28 09:16 - Christian Miiller
- Project changed from TYPOG3 Flow Base Distribution to TYPO3.Flow

#3 - 2012-06-28 10:14 - Karsten Dambekalns
- Assigned To set to Christian Mdiller

- Has patch set to No

#4 - 2012-06-28 10:48 - Karsten Dambekalns
- Category set to Core
http://review.typo3.org/12418

#5 - 2012-06-28 11:05 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
